StableOps
API 參考

恢復商戶訂閱

清除 StableOps 非終態商戶訂閱的期末取消標記;此操作不代付欠款,也不會將已經取消或過期的訂閱重新啟用。訂閱按週期開票,使用者仍需主動用錢包付款,自動開票不代表自動扣款。商戶應結合帳單結算、目前帳期及訂閱狀態管理服務許可權,不依賴前端返回判斷成功。

POST/v1/merchant/subscriptions/{id}/resume

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Merchant subscription id.

Response Body

application/json

curl -X POST "https://example.com/v1/merchant/subscriptions/{id}/resume"
{
  "id": "string",
  "merchant_user_id": "string",
  "plan_id": "string",
  "status": "incomplete",
  "current_period_start": "2019-08-24T14:15:22Z",
  "current_period_end": "2019-08-24T14:15:22Z",
  "cancel_at_period_end": true,
  "pending_plan_id": "string",
  "pending_plan_change_at": "2019-08-24T14:15:22Z",
  "trial_ends_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

這篇文件怎麼樣?

最後更新